# std::condition_variable::~condition_variable

From cppreference.com
< cpp‎ | thread‎ | condition variable

~condition_variable(); | (1) | (since C++11)

Destroys the object of type std::condition_variable

It is only safe to invoke the destructor if all threads have been notified. It is not required that they have exited their respective wait functions: some threads may still be waiting to reacquire the associated lock, or may be waiting to be scheduled to run after reacquiring it.

The programmer must ensure that no threads attempt to wait on *this once the destructor has been started, especially when the waiting threads are calling the wait functions in a loop or are using the overloads of the wait functions that take a predicate.

### Exceptions

(none)

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/condition_variable/%7Econdition_variable&oldid=51342"